
global_settings {
  ambient_light rgb<1,1,1>
}

camera {
  perspective
  location <0, 0, -10>
  look_at <0,-0.7/4,0>
  up <0,0.7/4,0>
  right <0.5/4,0,0>
}

light_source {
  <5,0,-5>, rgb<1,1,1>
  parallel
  point_at <0,0,0>
}

plane {
  z, 10
  texture { 
	pigment { rgb <0.09,0,0.31> }
	finish { ambient 1 } 
  }
}

#declare wirerad= 0.007;	// for 250 x 350
//#declare wirerad= 0.01;	// for 100 x 140
//#declare wirerad= 0.015;	// for 50 x 70

union {
  union {
  	difference {
  	  union {
  		intersection {	// unteres Gesicht
  		  box { <0,-1,-1>, <1,0,0> }
  		  difference { sphere { <0,0,0>, 1 } sphere { <0,0,0>, 0.9 } }
  		  scale <0.5,1,0.33>
  		}
  		intersection {	// oberes Gesicht
  		  box { <0,0,-1>, <1,1,0> }
  		  difference { sphere { <0,0,0>, 1 } sphere { <0,0,0>, 0.9 } }
  		  scale <0.5,0.6,0.33>
  		}
  	  }
  	  union {
  		intersection {	//	Auge
  		  cylinder { <0.2,0.28,-1>, <0.2,0.28,0>, 0.25 }
  		  cylinder { <0.2,-0.15,-1>, <0.2,-0.15,0>, 0.25 }
  		}
  		difference {	//	Mund
  		  cylinder { <0,-0.45,-1>, <0,-0.45,0>, 0.25 }
  		  cylinder { <0,-0.1,-1>, <0,-0.1,0>, 0.5 }
  		}
  	  }
  	}
  	intersection {	// Nase
  	  box { <0,-1,-1>, <1,1,0> }
  	  blob { threshold 0.8
  		cylinder { <0,-0.1,-0.3>, <0,-0.35,-0.4>, 0.1, 1 }
  		cylinder { <0,-0.35,-0.25>, <0,-0.35,-0.3>, 0.1, 1 }
  		cylinder { <0,-0.225,-0.3>, <0.1,-0.35,-0.27>, 0.1, 1 }
  	  }
  	}
  
  	texture {
  	  pigment { rgb<0.8,0.8,0.8> }
  	  finish { ambient 0 }
  	}
  }

  union {
  	intersection {	// unten
  	  box { <-1,-1.1,-1>, <0,0,0> }
  	  torus { 1, 1.5*wirerad rotate 90*x scale <0.5,1,0.33> }
  	}
  	intersection {	// oben
  	  box { <-1,0,-1>, <0,1,0> }
  	  torus { 1, 2*wirerad rotate 90*x scale <0.5,0.6,0.33> }
  	}
  	intersection {	// Mund
  	  box { <-1,-1,-1>, <0,-0.545,0> }
  	  union {
  		torus { 1, 4*wirerad rotate 90*x scale 0.25 translate <0,-0.45,-0.23> }
  		torus { 1, 2*wirerad rotate 90*x scale 0.5 translate <0,-0.1,-0.23> }
  	  }
  	}
  	intersection {	// Auge oben
  	  box { <-1,0.065,-1>, <0,1,0> }
  	  torus { 1, 4*wirerad rotate 90*x rotate 10*y scale 0.25 translate <-0.2,-0.15,-0.3> }
  	}
  	intersection {	// Auge unten
  	  box { <-1,-0.1,-1>, <0,0.065,0> }
  	  torus { 1, 4*wirerad rotate 90*x rotate 10*y scale 0.25 translate <-0.2,0.28,-0.3> }
  	}
  	intersection {	// Nase
  	  box { <-1,-1,-1>, <0,1,0> }
  	  union {
  		cylinder { <0,-0.1,-0.33>, <0,-0.37,-0.46>, wirerad }
  		cylinder { <0,-0.37,-0.31>, <0,-0.37,-0.46>, wirerad }
  		cylinder { <-0.1,-0.37,-0.31>, <0,-0.37,-0.46>, wirerad }
  		cylinder { <-0.1,-0.37,-0.31>, <0,-0.1,-0.33>, wirerad }
  		cylinder { <-0.1,-0.37,-0.31>, <0,-0.37,-0.31>, wirerad }
  	  }
  	}
  
  	texture {
  	  pigment { rgb<1,0,0> }
  	  finish { ambient 1 }
  	}
  }
  
  rotate -15*z
  rotate 10*y
  rotate 20*x
}
